package com.syc.slm.slmbi.service;

import com.sun.istack.NotNull;
import com.syc.slm.slmbi.dto.InstrumentPanelConfigDTO;
import com.syc.slm.slmbi.vo.InstrumentPanelConfigVo;

public interface InstrumentPanelConfigService {
    /**
     * 保存仪表板配置
     * @param config
     * @param optType
     * @return
     */
    String saveInstrumentPanelConfig(InstrumentPanelConfigDTO config,Integer optType);

    /**
     * 根据仪表板id获取对应配置
     * @param instrumentPanelId
     * @return
     */
    InstrumentPanelConfigVo getInstrumentPanelConfigByInstrumentPanelId(@NotNull String instrumentPanelId);

    String publish(InstrumentPanelConfigDTO config);
}
