package com.syc.slm.slmbi.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.syc.slm.slmbi.dto.VariableDTO;
import com.syc.slm.slmbi.vo.VariableDeviceVo;
import com.syc.slm.slmbi.vo.VariableSourceVo;
import com.syc.slm.slmbi.vo.VariableVo;

import java.util.List;

/**
 * slm-bi
 * 变量
 *
 * @author : lin
 * @date : 2021-03-25 16:17
 **/
public interface VariableService {
    /**
     * 获取变量列表
     * @param variableDTO
     * @return
     */
    IPage<VariableVo> getVariableList(VariableDTO variableDTO);

    /**
     * 获取变量来源
     * @return
     */
    List<VariableSourceVo> getVariableSourceList();

    /**
     * 获取变量所属设备
     * @return
     */
    List<VariableDeviceVo> getVariableDeviceList();

}
